Index: lisp/cus-edit.el
===================================================================
RCS file: /usr/CVSroot/XEmacs/xemacs/lisp/cus-edit.el,v
retrieving revision 1.11.2.3
diff -u -r1.11.2.3 cus-edit.el
--- lisp/cus-edit.el	23 Oct 2001 08:35:20 -0000	1.11.2.3
+++ lisp/cus-edit.el	13 Nov 2001 04:58:10 -0000
@@ -3391,7 +3391,7 @@
  	(princ "\n"))
        (princ "(custom-set-variables")
        (mapatoms (lambda (symbol)
- 		  (let ((spec (car-safe (get symbol 'theme-value)))
+		   (let ((spec (car-safe (get symbol 'theme-value)))
  			(requests (get symbol 'custom-requests))
  			(now (not (or (get symbol 'standard-value)
  				      (and (not (boundp symbol))
@@ -3399,7 +3399,9 @@
 						    'rogue))))))
 			(comment (get symbol 'saved-variable-comment)))
  		    (when (or (and spec (eq (car spec) 'user)
- 			       (eq (second spec) 'set)) comment)
+ 			       (eq (second spec) 'set)) comment
+			       ;; support non-themed vars
+			       (and (null spec) (get symbol 'saved-value)))
  		      (princ "\n '(")
  		      (prin1 symbol)
  		      (princ " ")
@@ -3430,9 +3432,12 @@
 		   (not (eq (get symbol 'force-face) 'rogue)))))))
     (when (or (and (not (memq symbol custom-save-face-ignoring))
 	       ;; Don't print default face here.
-	       theme-spec
-	       (eq (car theme-spec) 'user)
-	       (eq (second theme-spec) 'set)) comment)
+		   (or (and theme-spec
+			    (eq (car theme-spec) 'user)
+			    (eq (second theme-spec) 'set))
+		       ;; cope with non-themed faces
+		       (and (null theme-spec)
+			    (get symbol 'saved-face)))) comment)
       (princ "\n '(")
       (prin1 symbol)
       (princ " ")
